// JScript 文件
    function OnChkPtInfo()
    {
	  	if (document.getElementById("chkPtInfoSec").checked )
	  	{
	  		document.getElementById("PTInfoSection").style.display="";
	    }	
	    else
	    {
	    	document.getElementById("PTInfoSection").style.display="none";
	    }	    	
    }
    function SelectPersonalQuestion(QuestionID)
    {
        if(document.getElementById("ddlQuestion" + QuestionID)!=null)
        {
	        if (document.getElementById("ddlQuestion" + QuestionID).value == '自已编写问题')
	        {
		        document.getElementById("question" + QuestionID).value='';
		        document.getElementById("question" + QuestionID).style.display = '';
		        document.getElementById("question" + QuestionID).focus();
	        }
	        else
	        {
		        document.getElementById("question" + QuestionID).style.display = 'none';
		        document.getElementById("question" + QuestionID).value=document.getElementById("ddlQuestion" + QuestionID).value;
	        }
	     }
    }    
    function CheckPTInfo4PTNoAlert(pvCheckMobile,pvCheckEmail)
    {
        var UserName=document.getElementById("realname").value;
        var UserId=document.getElementById("idcard").value;
        var UserCellPhone=document.getElementById("mobile").value;
        var lvUserMailId=document.getElementById("PTUserEmailId").value;
        if(lvUserMailId=="该邮箱是您找回密码的重要途径，建议填写")
        {
            lvUserMailId="";
        }
        if(UserCellPhone=="注册后进行手机认证，可用于今后的密码找回")
        {
            UserCellPhone="";
        }
        
        if(UserName!=null && UserName!="" && (CheckUsername2NoAlert(UserName)==false))
            return false;
        if(UserId!=null && UserId!="" && (CheckIdcardNoAlert(UserId)==false))
            return false;
        if(pvCheckMobile)
        {
            if(UserCellPhone!=null && UserCellPhone!="" && (CheckMobileNoAlert(UserCellPhone,true)==false))
         	    return false;
        }
        if(pvCheckEmail)
        {
            if((lvUserMailId!="") && CheckUserEmail(lvUserMailId)==false)
            {
                return false;
            }
            if(gvCheckEMAIL4JJWXC) 
            {
                if(lvUserMailId=="")
                {
                    return false;
                }
                else
                {
                    if(CheckEmail4JJWXC()==false)
                    {
                        return false;
                    }
                }
            }            
        }
        if(document.getElementById("txtRegisterFrom").value=="91")
	    {
		    if(UserName==null  || UserName=="" || UserId==null || UserId=="")
		    {
			    return false;
		    }
	    }        
        return true;
    }           
    function CheckPTInfo4PT(pvCheckMobile,pvCheckEmail)
    {
        var UserName=document.getElementById("realname").value;
        var UserId=document.getElementById("idcard").value;
        var UserCellPhone=document.getElementById("mobile").value;
        var lvUserMailId=document.getElementById("PTUserEmailId").value;
        if(lvUserMailId=="该邮箱是您找回密码的重要途径，建议填写")
        {
            lvUserMailId="";
        }
        if(UserCellPhone=="注册后进行手机认证，可用于今后的密码找回")
        {
            UserCellPhone="";
        }
        
        if(UserName!=null && UserName!="" && (CheckUsername2(UserName)==false))
            return false;
        if(UserId!=null && UserId!="" && (CheckIdcard(UserId)==false))
            return false;
        if(pvCheckMobile)
        {
            if(UserCellPhone!=null && UserCellPhone!="" && (CheckMobile(UserCellPhone,true)==false))
         	    return false;
        }
        if(pvCheckEmail)
        {
            if((lvUserMailId!="") && CheckUserEmail(lvUserMailId)==false)
            {
                alert("请您输入正确的邮箱地址");
                return false;
            }
            if(gvCheckEMAIL4JJWXC)  //neil
            {
                if(lvUserMailId=="")
                {
                    alert("请输入您的邮箱");  
                    return false;
                }
                else
                {
                    if(CheckEmail4JJWXC()==false)
                    {
                        alert("您的Email地址已被使用");
                        return false;
                    }
                }
            }
        }
        if(document.getElementById("txtRegisterFrom").value=="91")
	    {
		    if(UserName==null  || UserName=="" || UserId==null || UserId=="")
		    {
			    alert("请您填写防沉迷资料：姓名和身份证");
			    return false;
		    }
	    }        
        return true;
    }       
    function CheckUserEmail(v_mail)
    {
	    var reg = /^[\w-]+(\.[\w-]+)*@[\w-]+(\.[\w-]+)+$/;
	    if (!reg.test(v_mail))
	    { 
	        return false;
		}   
	    else
	    {
	        if(v_mail.length>4)
	        {
	            var lvPostfixName1=v_mail.substring(v_mail.length-4,v_mail.length).toUpperCase();
	            var lvPostfixName2=v_mail.substring(v_mail.length-3,v_mail.length).toUpperCase(); 
	            return (lvPostfixName1==".COM" || lvPostfixName1==".NET" || lvPostfixName1==".ORG" || lvPostfixName2==".CN" );
	        }
	        return true;
	    }		    
    }    
    //检查用户姓名（防沉迷用）
    function CheckUsernameField(sUsername)
    {
	    var len1 = GetStrLen(sUsername);
	    var len2 = sUsername.length;
	    if (len1!=len2*2 || len2<2 || len2>5)
	    {		
		    return false;
	    }
	    return true;
    }
    function CheckUsername2NoAlert(sUsername)
    {
        if(CheckUsernameField(sUsername)==false)
        {
            return false;
        }
        return true;
    }
    function CheckUsername2(sUsername)
    {
        if(CheckUsernameField(sUsername)==false)
        {
            alert("您输入的姓名有误");
            return false;
        }
        return true;
    }   
    //检查用户姓名
    function CheckUsername(v_name)
    {
        alert("CheckUsername");
	    if (v_name.length == 0)
	    {
		    alert("请输入姓名！");
		    return false;
	    }

	    var len = GetStrLen(v_name)
	    if (len>20 || len<4)
	    {
		    alert("您输入的姓名有误！");
		    return false;
	    }

	    if (!isRuleValue(v_name))
	    {
		    alert("您输入的姓名有误！");
		    return false;
	    }

	    return true;
    }
    function GetStrLen(v_str)
    {
      var len = 0;
      for(i=0; i<v_str.length; i++)
	    {
  	    if(v_str.charCodeAt(i) > 128)
		    {
  		    len = len + 2;
  	    }
		    else
		    {
  		    len = len + 1;
  	    }
      }

      return len;
    }
    function isRuleValue(v_value)
    {
	    var reg = /--{1}|\'{1}|;{1}|"{1}|\|{1}/g;
	    if (reg.test(v_value))
		    return false;
	    else
		    return true;
    }
    //检查身份证
    function CheckIdCardField(v_card)
    {
	    var reg = /^\d{15}(\d{2}[0-9X])?$/i;
	    if (!reg.test(v_card))
	    {
		    return false;
	    }

	    if(v_card.length==15)
	    {
	        var n = new Date();
            var y = n.getFullYear();
	        if(parseInt("19" + v_card.substr(6,2)) < 1900 || parseInt("19" + v_card.substr(6,2)) > y)
	        {
                //alert("生日年份范围错误");
		        return false;
	        }

	        var birth = "19" + v_card.substr(6,2) + "-" + v_card.substr(8,2) + "-" + v_card.substr(10,2);
	        if(!isDate(birth))
	        {
                //alert("生日错误");
		        return false;
	        }
        }
	    if(v_card.length==18)
	    {
	        var n = new Date();
            var y = n.getFullYear();
	        if(parseInt(v_card.substr(6,4)) < 1900 || parseInt(v_card.substr(6,4)) > y)
	        {
                //alert("生日年份范围错误");
		        return false;
	        }

	        var birth = v_card.substr(6,4) + "-" + v_card.substr(10,2) + "-" + v_card.substr(12,2);
	        if(!isDate(birth))
	        {
                //alert("生日错误");
		        return false;
	        }

            iW = new Array(7,9,10,5,8,4,2,1,6,3,7,9,10,5,8,4,2,1);

            iSum = 0;
            for( i=0;i<17;i++)
            {
                iC = v_card.charAt(i);
                iVal = parseInt(iC);
                iSum += iVal * iW[i];
            }

            iJYM = iSum % 11;
            if(iJYM == 0) sJYM = "1";
            else if(iJYM == 1) sJYM = "0";
            else if(iJYM == 2) sJYM = "x";
            else if(iJYM == 3) sJYM = "9";
            else if(iJYM == 4) sJYM = "8";
            else if(iJYM == 5) sJYM = "7";
            else if(iJYM == 6) sJYM = "6";
            else if(iJYM == 7) sJYM = "5";
            else if(iJYM == 8) sJYM = "4";
            else if(iJYM == 9) sJYM = "3";
            else if(iJYM == 10) sJYM = "2";

            var cCheck = v_card.charAt(17).toLowerCase();
            if( cCheck != sJYM )
            {
                //alert("校验位不符");
                return false;
            }
	    }

	    return true;    
    }
    function CheckIdcardNoAlert(v_card)
    {
        if(CheckIdCardField(v_card)==false)
        {
            return false;
        }
        return true;
    }
    function CheckIdcard(v_card)
    {
        if(CheckIdCardField(v_card)==false)
        {
            if(gvConfirmIDCardOtherFormat)
            {
                return true;
            }
            alert("证件号码输入错误");
            return false;
        }
        return true;
    } 
    function CheckMobileField(v_mobile,pvAllowdUnicom)
    {
        if(v_mobile.length==0)
        {
            return false;
        }
        var reg1=/^1[3][0-9]\d{8}$/;
        var reg2=/^1[5][089]\d{8}$/;
	    var reg3=/^1\d{10}$/;
	    if(pvAllowdUnicom==false)
	    {
	        if (!reg1.test(v_mobile) && !reg2.test(v_mobile))
	        {
		        return false;
	        }
	    }
	    else
	    {
	        if (!reg1.test(v_mobile) && !reg2.test(v_mobile) && !reg3.test(v_mobile))
	        {
		        return false;
	        }
	    }

	    return true;    
    }
    function CheckMobileNoAlert(v_mobile,pvAllowdUnicom)
    {
        if(v_mobile.length==0)
        {
            return false;
        }
        var reg1=/^1[3][0-9]\d{8}$/;
        var reg2=/^1[5][089]\d{8}$/;
        var reg3=/^1\d{10}$/;
        if(pvAllowdUnicom==false)
        {
            if (!reg1.test(v_mobile) && !reg2.test(v_mobile))
            {
	            return false;
            }
        }
        else
        {
            if (!reg1.test(v_mobile) && !reg2.test(v_mobile) && !reg3.test(v_mobile))
            {
	            return false;
            }
        }
	    return true;    
    }
    function CheckMobile(v_mobile,pvAllowdUnicom)
    {
        if(v_mobile.length==0)
        {
            alert("请输入手机号码！");
            return false;
        }
        var reg1=/^1[3][0-9]\d{8}$/;
        var reg2=/^1[5][089]\d{8}$/;
	    var reg3=/^1\d{10}$/;
	    if(pvAllowdUnicom==false)
	    {
	        if (!reg1.test(v_mobile) && !reg2.test(v_mobile))
	        {
		        alert("非常抱歉，目前仅支持移动手机号码认证！");
		        return false;
	        }
	    }
	    else
	    {
	        if (!reg1.test(v_mobile) && !reg2.test(v_mobile) && !reg3.test(v_mobile))
	        {
		        alert("非常抱歉，您输入的手机号码格式不正确！");
		        return false;
	        }
	    }

	    return true;
    }
    //日期格式：YYYY-MM-DD
    function isDate(strDate)
    {
       var strSeparator = "-"; //日期分隔符
       var strDateArray;
       var intYear;
       var intMonth;
       var intDay;
       var boolLeapYear;

       strDateArray = strDate.split(strSeparator);

       if(strDateArray.length!=3) return false;

       intYear = parseInt(strDateArray[0],10);
       intMonth = parseInt(strDateArray[1],10);
       intDay = parseInt(strDateArray[2],10);

       if(isNaN(intYear)||isNaN(intMonth)||isNaN(intDay)) return false;

       if(intMonth>12||intMonth<1) return false;

       if((intMonth==1||intMonth==3||intMonth==5||intMonth==7||intMonth==8||intMonth==10||intMonth==12)&&(intDay>31||intDay<1)) return false;

       if((intMonth==4||intMonth==6||intMonth==9||intMonth==11)&&(intDay>30||intDay<1)) return false;

       if(intMonth==2){
          if(intDay<1) return false;

          boolLeapYear = false;
          if((intYear%100)==0){
             if((intYear%400)==0) boolLeapYear = true;
          }
          else{
             if((intYear%4)==0) boolLeapYear = true;
          }

          if(boolLeapYear){
             if(intDay>29) return false;
          }
          else{
             if(intDay>28) return false;
          }
       }
       return true;
    }        
    
   
    function MailTelephoneFocus()
    {
        if(document.getElementById("ptType_0").checked ||  document.getElementById("ptType_2").checked)
        {
            MailFocus();
        }
        else
        {
            MobileFocus();
        }
    }
    function MailFocus()
    {
        if(lvShowRecommand==false) 
        { 
            showtip('MailInfo','请填写您的邮箱'); 
        }
    }
    function NameFocus()
    {
		if(lvShowRecommand==false)
		{ 
		    showtip('familyname','请填写您的姓名'); 
		    
		}
    }
    function CheckEmailShown(pvId)
    {
        var lvEmail=document.getElementById(pvId).value;
        var lvIndex=lvEmail.indexOf("@");
        if(lvIndex>=0)
        {
            var lvPostfixName=lvEmail.substring(lvIndex).toUpperCase();
            if( lvPostfixName=="@PP.COM" ||  lvPostfixName=="@123.COM" || lvPostfixName=="@QQ163.COM" || lvPostfixName=="@QQ.CN" ||
                lvPostfixName=="@QQ.GD" || lvPostfixName=="@136.COM" || lvPostfixName=="@QQ.COM.CN" || lvPostfixName=="@168.COM" || 
                lvPostfixName=="@SIAN.COM" || lvPostfixName=="@Q.COM" )
            {
                alert("非常抱歉，该邮箱后缀地址不存在，会影响您今后邮箱找密码，建议您填写真实的邮箱地址。");
            }
            else if(lvPostfixName=="@TOM.COM")
            {
                alert("非常抱歉，tom.com邮箱无法收到我们发出的邮件，会影响您今后邮箱找密码，建议您换一个邮箱填写。");
            }

        }
    }
    function MailFieldFocus()
    {
        if(document.getElementById("PTUserEmailId").value=="该邮箱是您找回密码的重要途径，建议填写")
        {
            document.getElementById("PTUserEmailId").style.color="black";
            document.getElementById("PTUserEmailId").value="";
        }
    }
    function MailFieldLostFocus()
    {
        if(document.getElementById("PTUserEmailId").value=="")
        {
            document.getElementById("PTUserEmailId").style.color="gray";
            document.getElementById("PTUserEmailId").value="该邮箱是您找回密码的重要途径，建议填写";
        }
    }
    function PhoneFieldFocus()
    {
        if(document.getElementById("mobile").value=="注册后进行手机认证，可用于今后的密码找回")
        {
            document.getElementById("mobile").style.color="black";
            document.getElementById("mobile").value="";
        }
    }
    function PhoneFieldLostFocus()
    {
        if(document.getElementById("mobile").value=="")
        {
            document.getElementById("mobile").style.color="gray";
            document.getElementById("mobile").value="注册后进行手机认证，可用于今后的密码找回";
        }
    }
    function HideEmailTipNow(pvMailDiv)
    {
        document.getElementById(pvMailDiv).style.display="none";
    }
    function IDCardFocus(pvObj)
    {
        showtip('idcard','请填写您有效证件的号码');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("IDCardArrow"));
    }
    var gvConfirmIDCardOtherFormat=false;
    function IDCardLostFocus(pvObj)
    {
        var lvIdCard=pvObj.value;
        if(lvIdCard!="")
        {
            var lvCheckResult=CheckIdCardField(lvIdCard);
            if(lvCheckResult)
            {
                showtip('idcard',(lvCheckResult?'':'<font color=#CC0000><b>请正确填写您的身份证号码</b></font>'));
                FieldLostFocus_ChangeBkground(pvObj,lvCheckResult,true,document.getElementById("IDCardArrow"));
            }
            else
            {
                gvConfirmIDCardOtherFormat=window.confirm("证件号码是您找回帐号的重要依据，请确认这是您真实有效的证件号码");
                showtip('idcard',(gvConfirmIDCardOtherFormat?'':'<font color=#CC0000><b>请正确填写您的有效证件的号码</b></font>'));
                FieldLostFocus_ChangeBkground(pvObj,gvConfirmIDCardOtherFormat,true,document.getElementById("IDCardArrow"));
            }
        }
        else
        {
            hidetip('idcard');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
    }
    function UserNameFieldFocus(pvObj)
    {
        showtip('realname','请您填写本人真实姓名');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("UserNameArrow"));    
    }
    function UserNameFieldLostFocus(pvObj)
    {
        var lvUsername=pvObj.value;
        if(lvUsername!="")
        {
            var lvCheckResult=CheckUsernameField(lvUsername);
            showtip('realname',(lvCheckResult?'':'<font color=#CC0000><b>请正确填写您的姓名</b></font>'));
            FieldLostFocus_ChangeBkground(pvObj,  lvCheckResult,true,document.getElementById("UserNameArrow"));
        }
        else
        {
            hidetip('realname');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
    }
    function BirthDayFocus(pvObj)
    {
        showtip('birthday','请您填写本人真实出生日期');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("BirthDayArrow"));
    }
    function BirthDayLostFocus()
    {
        var pvObj=document.getElementById("birthday");
        if(pvObj.value=="")
        {
            hidetip('birthday');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('birthday','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("BirthDayArrow"));
        }        
    }
    function UserPhoneFieldFocus(pvObj)
    {
        showtip('phone','请您填写可以与您本人取得联系的电话号码');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("IDPhoneFieldArrow"));
    }
    function UserPhoneFieldLostFocus(pvObj)
    {
        if(pvObj.value=="")
        {
            hidetip('phone');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('phone','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("IDPhoneFieldArrow"));
        }        
    }
    function DdlUserQuestion1Focus(pvObj)
    {
        showtip('ddlQuestion1','请您选择密码保护问题，以便今后修改密码');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("DdlQuestion1FieldArrow"));
    }
    function DdlUserQuestion1LostFocus(pvObj)
    {
        if(pvObj.value=="")
        {
            hidetip('ddlQuestion1');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('ddlQuestion1','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("DdlQuestion1FieldArrow"));
        }                
    }
    function UserAnswer1Focus(pvObj)
    {
        showtip('answer1','请您填写密码保护问题，以便今后修改密码');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("UserAnswer1FieldArrow"));
    }
    function UserAnswer1LostFocus(pvObj)
    {
        if(pvObj.value=="")
        {
            hidetip('answer1');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('answer1','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("UserAnswer1FieldArrow"));
        }                
    }
    function DdlUserQuestion2Focus(pvObj)
    {
        showtip('ddlQuestion2','请您选择密码保护问题，以便今后修改密码');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("DdlQuestion1FieldArrow2"));
    }
    function DdlUserQuestion2LostFocus(pvObj)
    {
        if(pvObj.value=="")
        {
            hidetip('ddlQuestion2');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('ddlQuestion2','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("DdlQuestion1FieldArrow2"));
        }                
    }
    function UserAnswer2Focus(pvObj)
    {
        showtip('answer2','请您填写密码保护问题，以便今后修改密码');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("UserAnswer1FieldArrow2"));
    }
    function UserAnswer2LostFocus(pvObj)
    {
        if(pvObj.value=="")
        {
            hidetip('answer2');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('answer2','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("UserAnswer1FieldArrow2"));
        }                
    }
    
    function PromoterIDFieldFocus(pvObj)
    {
        showtip('PromoterID','向您推荐盛大游戏并提供帮助的推荐人帐号');
        FieldFocus_ChangeBkground(pvObj,true,document.getElementById("PromoterIDFieldArrow"));
        
    }
    function PromoterIDFieldLostFocus(pvObj)
    {
        if(pvObj.value=="")
        {
            hidetip('PromoterID');
            FieldLostFocus_ChangeBkground(pvObj,true,false,null);
        }
        else
        {
            showtip('PromoterID','');
            FieldLostFocus_ChangeBkground(pvObj,true,true,document.getElementById("PromoterIDFieldArrow"));
        }                
    }
    function PTUserEmailIDFocus(pvObj)
    {
        MailFocus();
        //MailFieldFocus();
        FieldFocus_ChangeBkground(pvObj,false,document.getElementById("PTUserEmailIdFieldArrow"));
    }
    function PTUserEmailIDLostFocusEx()
    {
        var lvObject=document.getElementById("PTUserEmailId");
        return PTUserEmailIDLostFocus(lvObject);
    }
    function PTUserEmailIDLostFocus(pvObj)
    {
        HideEmailTip('PTUserEmailShow');
        CheckEmailShown('PTUserEmailId');
        HideEmailTipNow('MailInfotip');
        
        
        var lvPTUserEmail=pvObj.value;
        if(lvPTUserEmail!="")
        {
            var lvCheckResult=CheckUserEmail(lvPTUserEmail);
            var lvMsg="请正确填写您的邮箱";
            showtip('MailInfo',( lvCheckResult?'':'<font color=#CC0000><b>请正确填写您的邮箱</b></font>'));
            FieldLostFocus_ChangeBkground(pvObj, lvCheckResult ,false,document.getElementById("PTUserEmailIdFieldArrow"));
            return lvCheckResult;
        }else{
            showtip('MailInfo','<font color=#CC0000><b>请输入您的邮箱</b></font>');
            FieldLostFocus_ChangeBkground(pvObj, false ,false,document.getElementById("PTUserEmailIdFieldArrow"));
            return false;
        }        
    }
    function NameFieldFocus(pvObj)
    {
    	NameFocus();
        FieldFocus_ChangeBkground(pvObj,false);
    }
    function NameFieldLostFocus(pvObj)
    {
        var familyname=document.getElementById("familyname").value;
        var givenname=document.getElementById("givenname").value;
        if(familyname == "" && givenname == ""){
            showtip('familyname','<font color=#CC0000><b>请输入用户名</b></font>');
            FieldLostFocus_ChangeBkground(pvObj, false,false);
            return false;
        }else{
        	hidetip('familyname');
            FieldLostFocus_ChangeBkground(pvObj,true,false);
            return true;
        }
	}
    function CompanyFieldFocus(pvObj)
    {
		if(lvShowRecommand==false)
		{ 
		    showtip('company','请填写单位名称'); 
		    
		}
        FieldFocus_ChangeBkground(pvObj,false);
    }
    function CompanyFieldLostFocus(pvObj)
    {
        var valCompany=pvObj.value;
        if(valCompany == ""){
            showtip('company','<font color=#CC0000><b>请输入单位名称</b></font>');
            FieldLostFocus_ChangeBkground(pvObj, false,false);
            return false;
        }else{
        	hidetip('company');
            FieldLostFocus_ChangeBkground(pvObj,true,false);
            return true;
        }
	}
    